import 'package:prompter_jrm/src/option.dart';
import 'package:prompter_jrm/src/terminal.dart';


// only need on instance of Terminal will return same instance  //
final Terminal _terminal =  const Terminal();



class Prompter{

    bool askBinary(String prompt){
      final input = _ask('$prompt (y/n)', []);
      return input.contains('y'); // returns to or false;
    }

    askMultiple(String prompt, List<Option>options) {
      final input = _ask(prompt, options);
      try {
        return options[int.parse(input)].value;
      } catch (err) {
        return askMultiple(prompt, options);
      }
    }

    String _ask(String prompt, List<Option>options) {
      _terminal.ClearScreen();
      _terminal.printPrompt(prompt);
      _terminal.printOptions(options);
      return _terminal.collectInput();
    }


   /*
    List<Option> options = [
      new Option('I want red', '#f00'),
      new Option('I want blue', '#00f'),
    ];


    var input = terminal.collectInput();

    */

}